import React from 'react'


export interface IHistoryRoutes {
    url: string,
    routeKey: string,
    params?: {},
    visible: boolean;
}

interface IRoute {
    history: IHistoryRoutes[]
}


const RouteContext = React.createContext<IRoute>(null!);

export default RouteContext;





export const RouteComponentContext = React.createContext<{ data: IHistoryRoutes }>(null!);

